Package org.lwjgl.opengl

# Class ARBES3Compatibility

java.lang.Object
org.lwjgl.opengl.ARBES3Compatibility

public final class ARBES3Compatibility extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ANY_SAMPLES_PASSED_CONSERVATIVE`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryIndexediv and GetQueryiv:
`static final int`
`GL_COMPRESSED_R11_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_RG11_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_RGB8_ETC2`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_RGBA8_ETC2_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_SIGNED_R11_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_SIGNED_RG11_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_SRGB8_ETC2`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_MAX_ELEMENT_INDEX`
Accepted by the <value> parameter of the GetInteger* functions:
`static final int`
`GL_PRIMITIVE_RESTART_FIXED_INDEX`
Accepted by the <target> parameter of Enable and Disable:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMPRESSED_RGB8_ETC2

public static final int GL_COMPRESSED_RGB8_ETC2
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ETC2

public static final int GL_COMPRESSED_SRGB8_ETC2
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2

public static final int GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2

public static final int GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA8_ETC2_EAC

public static final int GL_COMPRESSED_RGBA8_ETC2_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_R11_EAC

public static final int GL_COMPRESSED_R11_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_SIGNED_R11_EAC

public static final int GL_COMPRESSED_SIGNED_R11_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_RG11_EAC

public static final int GL_COMPRESSED_RG11_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_SIGNED_RG11_EAC

public static final int GL_COMPRESSED_SIGNED_RG11_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PRIMITIVE_RESTART_FIXED_INDEX

public static final int GL_PRIMITIVE_RESTART_FIXED_INDEX
Accepted by the <target> parameter of Enable and Disable:

See Also:
  - Constant Field Values

### GL_ANY_SAMPLES_PASSED_CONSERVATIVE

public static final int GL_ANY_SAMPLES_PASSED_CONSERVATIVE
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryIndexediv and GetQueryiv:

See Also:
  - Constant Field Values

### GL_MAX_ELEMENT_INDEX

public static final int GL_MAX_ELEMENT_INDEX
Accepted by the <value> parameter of the GetInteger* functions:

See Also:
  - Constant Field Values